Skip to navigation

Add a document to a workspace via file contents upload

View as Markdown

Note: This endpoint is in beta.

This operation adds a document to a workspace via file contents upload. The file is passed in the request body as a multipart/form-data file. The file name is used as the document name.

Once added, it may be used to create an envelope associated with the workspace.

Required authentication scopes: dtr.documents.write

Authentication

AuthorizationBearer
JWT Bearer token from Docusign authorization server

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the account
workspaceIdstringRequiredformat: "uuid"
The ID of the workspace

Request

This endpoint expects a multipart form containing an optional file.
filefileOptional

The file within the multipart/form-data. Maximum allowed size: 50MB

Response

Document successfully added
document_idstringOptionalformat: "uuid"
namestring or nullOptional
owner_idstring or nullOptionalformat: "uuid"
sizelong or nullOptional
created_datedatetime or nullOptional
last_updated_datedatetime or nullOptional
ownerobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error